plugins {
    id 'kotlin-kapt'
    id 'org.jetbrains.kotlin.android'
}

apply from: '../common.gradle'

android{
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

dependencies {

    // ------------------------------基础库-------------------------------------
    api 'androidx.core:core-ktx:1.8.0'
    api 'androidx.appcompat:appcompat:1.3.0'
    api 'com.google.android.material:material:1.6.1'
    api 'androidx.constraintlayout:constraintlayout:2.1.3'

    // ------------------------------网络请求-------------------------------------
    api 'com.github.liangjingkanji:Net:3.5.1'
    api 'com.squareup.okhttp3:okhttp:4.10.0'
    api 'org.jetbrains.kotlinx:kotlinx-coroutines-core:1.6.4'
    api 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.6.4'
    api "com.github.liangjingkanji:BRV:1.3.82" // 提供自动分页/缺省页/自动下拉刷新功能

    // ------------------------------JSON解析-------------------------------------
    // JSON序列化库, 首选推荐使用
    api "org.jetbrains.kotlinx:kotlinx-serialization-json:1.3.3"

    // ------------------------------数据库-------------------------------------
    api 'androidx.room:room-common:2.4.3'
    api 'androidx.room:room-runtime:2.4.3'
    implementation files('libs/commons-lang3-3.12.0.jar')
    kapt  "androidx.room:room-compiler:2.4.3"

    // ------------------------------优化策略-------------------------------------
    //bugLy日志收集
    api 'com.tencent.bugly:crashreport:latest.release'
    //内存泄露检测
    api 'com.github.bzcoder:blockcanarycompat-android:0.0.4'

    // ------------------------------模块化框架-------------------------------------
    api 'com.alibaba:arouter-api:1.5.2'

    // ------------------------------其他库-------------------------------------
    api "com.android.support:multidex:1.0.3"
    //EventBus
    api 'org.greenrobot:eventbus:3.2.0'
    api 'com.github.liangjingkanji:StatusBar:2.0.2' // 透明状态栏
    api 'com.tencent:mmkv-static:1.2.10'
    api 'com.blankj:utilcodex:1.31.0'
    api 'com.github.smarxpan:NotchScreenTool:0.0.1'
   // api "io.coil-kt:coil:2.2.1" //图片加载
    api "com.youth.banner:banner:2.1.0"
    api 'com.google.android.flexbox:flexbox:3.0.0'
    api 'com.yanzhenjie:permission:2.0.3'
    api 'io.github.azhon:appupdate:4.2.4'
    api 'cn.aigestudio.wheelpicker:WheelPicker:1.1.3'

    //------------------------------业务功能库-------------------------------------
    api files('libs/android-serialport-2.1.2.aar')
    api files('libs/cofar-cooking-device-sdk-0.0.1-SNAPSHOT.jar')
    api files('libs/commons-lang3-3.12.0.jar')
    api files('libs/commons-beanutils-1.9.4.jar')
    api 'com.github.princekin-f:EasyFloat:2.0.4'
    api 'de.hdodenhof:circleimageview:3.1.0'
    api 'com.google.zxing:core:3.3.3'
    //屏幕适配
    api "me.jessyan:autosize:1.2.1"
    api 'com.github.bumptech.glide:glide:4.12.0'
    api 'com.google.code.gson:gson:2.8.9'

}